Bug 110334 - SPECint2000 255.vortex crashes with -funroll-loops
SPECint2000 255.vortex crashes with -funroll-loops
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc3 (Show other bugs)
3.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-18 11:21 EST by Mario Held
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 11:09:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Held 2003-11-18 11:21:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
Run 255.vortex without '-funroll-loops' successfully, afterwards with
the parameter in question which results in an error. Used same
environment for the test and reproduced the behavior twice.




Version-Release number of selected component (if applicable):
RHEL3 gcc-3.2.3-20, glibc-2.3.2-95.3

How reproducible:
Always

Steps to Reproduce:
1.Run SPECint2000 255.vortex with compile option '-funroll-loops' 
2.
3.
    

Actual Results:  specmake  options 2> options.err | tee options.out
COMP: gcc -c -o options.o              -O3 -mno-backchain -funroll-loops
LINK: gcc       -O3 -mno-backchain -funroll-loops      -lm  -o options
Setting Up Run Directories
  Setting up 255.vortex ref base s390_linux default: existing
Running Benchmarks
  Running 255.vortex ref base s390_linux default
Child returned with invalid return code(0)
Child returned with invalid return code(0)
Invalid run; unable to continue.  If you wish to ignore errors please
use '-I' or ignore_errors

Expected Results:  COMP: gcc -c -o options.o              -O3
-mno-backchain
LINK: gcc       -O3 -mno-backchain      -lm  -o options
Setting Up Run Directories
  Setting up 255.vortex ref base s390_linux default: existing
Running Benchmarks
  Running 255.vortex ref base s390_linux default
Success: 1x255.vortex
Producing Reports
mach: default
  ext: s390_linux
    size: ref
      set: int
        format: raw -> /home/bench/cpu2000/result/CINT2000.108.raw
        format: ASCII -> /home/bench/cpu2000/result/CINT2000.108.asc
      set: fp
runspec finished


Additional info:

Can offer binaries and dissasemblies (objdump --disassemble-all) of
the two flavours of the binary.
Comment 1 Mario Held 2004-02-05 11:09:22 EST
Hello,

I encountered the problem in the recent days in internal drivers with 
gcc-3.4 too. Using ltrace we found the culprit in the SPECint2000 
255.vortex application. 

I tested the one line code change today with RHEL 3.0 and the problem 
is gone. Reported the bug now to Spec.org.

Note You need to log in before you can comment on or make changes to this bug.